(defun blac1 () (let ((sa (send terminal-io :screen-array))) (dotimes (i 200) (dotimes (j 200) (setf (aref sa i j) 1)))))

(defun blac2 () (let ((sa (send terminal-io :screen-array))) (dotimes (i 200) (dotimes (j 200) (aset 1 sa i j)))))

(setq zer-arr (make-array '(32 32) :type art-1b :initial-value 1))

(defun blac3 () (loop doing (bitblt tv:alu-xor 640 640 zer-arr 0 0 (send terminal-io :screen-array) 0 0)))

(defmacro timing (&body body)
  `(without-interrupts (let ((time (time:microsecond-time)))
	  ,@body
	  (- (time:microsecond-time) time))))